{% extends 'base.html' %}
{% block title %}FaceLook | Modifier votre mdp{% endblock %}
{% block content %}

<form method="POST" class="box" style="max-width:500px;display:flex;flex-direction:column;width:100%;
    margin:0 auto">
    <h1 style="text-align: center">Modifier le mot de passe</h1>
    {% csrf_token %}

    <div style="display:flex;align-items: center;">
        <label style="flex:1" for="password1">Nouveau mot de passe :</label>
        <input style="flex:1" type="password" name="password1" data-cy="new_password"  id="password1" placeholder="*********">
    </div>

    <div style="display:flex;align-items: center;">
        <label style="flex:1" for="password2">Confirmation du mot de passe :</label>
        <input style="flex:1" type="password" name="password2" id="password2" data-cy="new_password_confirm" placeholder="*********">
    </div>

    <div style="display:flex;align-items: center;">
        <label style="flex:1" for="password0">Mot de passe actuel :</label>
        <input style="flex:1" type="password" data-cy="old_password" name="password0" id="password0" placeholder="*********">
    </div>

    <button class="primary-trigger" type="submit" data-cy="submit" style="margin:20px auto 12px">Valider</button>

    {% if error %}
    <p class="error">{{ error }}</p>
    {% endif %}
</form>

{% endblock %}